Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(6)

Unified Diff: tools/valgrind/valgrind_webkit_tests.sh

Issue 351017: Add script to scrape valgrind layout bot (Closed) Base URL: svn://chrome-svn/chrome/trunk/src/
Patch Set: '' Created 11 years, 1 month ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « tools/valgrind/regrind.sh ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tools/valgrind/valgrind_webkit_tests.sh
===================================================================
--- tools/valgrind/valgrind_webkit_tests.sh (Revision 30840)
+++ tools/valgrind/valgrind_webkit_tests.sh (Arbeitskopie)
@@ -14,9 +14,31 @@
# tools/valgrind/memcheck/suppressions.txt
# to disable any for bugs you're trying to reproduce.
+# Copied from valgrind.sh
+if test x"$CHROME_VALGRIND_BIN" = x
+then
+ # Figure out which valgrind is installed. Use most recent one.
+ # See build-valgrind-for-chromium.sh and its history for these constants.
+ for SVNREV in 10880-redzone 10880 10771 20090715
+ do
+ CHROME_VALGRIND_BIN=/usr/local/valgrind-$SVNREV/bin
+ test -x $CHROME_VALGRIND_BIN/valgrind && break
+ done
+fi
+
+if ! test -x $CHROME_VALGRIND_BIN/valgrind
+then
+ echo "Could not find chromium's version of valgrind."
+ echo "Please run build-valgrind-for-chromium.sh or set CHROME_VALGRIND_BIN."
+ echo "Defaulting to system valgrind."
+else
+ echo "Using ${CHROME_VALGRIND_BIN}/valgrind."
+ PATH="${CHROME_VALGRIND_BIN}:$PATH"
+fi
+
cat > vlayout-wrapper.sh <<"_EOF_"
#!/bin/sh
-valgrind --suppressions=tools/valgrind/memcheck/suppressions.txt --tool=memcheck --smc-check=all --num-callers=30 --trace-children=yes --leak-check=full --log-file=vlayout-%p.log --gen-suppressions=all --track-origins=yes "$@"
+valgrind --suppressions=tools/valgrind/memcheck/suppressions.txt --tool=memcheck --smc-check=all --num-callers=30 --trace-children=yes --leak-check=full --show-possible=no --log-file=vlayout-%p.log --gen-suppressions=all --track-origins=yes "$@"
_EOF_
chmod +x vlayout-wrapper.sh
@@ -30,7 +52,7 @@
nfiles=`ls vlayout-*.log | wc -l`
while true
do
- ndone=`grep -l "LEAK SUMMARY" vlayout-*.log | wc -l`
+ ndone=`egrep -l "LEAK SUMMARY|no leaks are possible" vlayout-*.log | wc -l`
if test $nfiles = $ndone
then
break
« no previous file with comments | « tools/valgrind/regrind.sh ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698